Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi.factories
Interface DeploymentFactory

public interface DeploymentFactory

The DeploymentFactory interface is a deployment driver for a J2EE plaform product. It returns a DeploymentManager object which represents a connection to a specific J2EE platform product.

Each application server vendor must provide an implementation of this class in order for the J2EE Deployment API to work with their product.

The class implementing this interface should have a public no-argument constructor, and it should be stateless (two instances of the class should always behave the same). It is suggested but not required that the class have a static initializer that registers an instance of the class with the DeploymentFactoryManager class.

A `connected` or `disconnected` DeploymentManager can be requested. A DeploymentManager that runs connected to the platform can provide access to J2EE resources. A DeploymentManager that runs disconnected only provides module deployment configuration support.

See Also:
  `DeploymentFactoryManager`

Method Summary
`DeploymentManager` | `getDeploymentManager(java.lang.String uri, java.lang.String username, java.lang.String password)` Return a `connected` DeploymentManager instance.
`DeploymentManager` | `getDisconnectedDeploymentManager(java.lang.String uri)` Return a `disconnected` DeploymentManager instance.
`java.lang.String` | `getDisplayName()` Provide a string with the name of this vendor's DeploymentManager.
`java.lang.String` | `getProductVersion()` Provide a string identifying version of this vendor's DeploymentManager.
`boolean` | `handlesURI(java.lang.String uri)` Tests whether this factory can create a DeploymentManager object based on the specificed URI.

Method Detail

### handlesURI

    public boolean handlesURI(java.lang.String uri)

  Tests whether this factory can create a DeploymentManager object based on the specificed URI. This does not indicate whether such an attempt will be successful, only whether the factory can handle the uri.

  Parameters:
    `uri` - The uri to check
  Returns:
    `true` if the factory can handle the uri.

### getDeploymentManager

    public DeploymentManager getDeploymentManager(java.lang.String uri,
                                                  java.lang.String username,
                                                  java.lang.String password)
                                           throws DeploymentManagerCreationException

  Return a `connected` DeploymentManager instance.

  Parameters:
    `uri` - The URI that specifies the connection parameters
    `username` - An optional username (may be `null` if no authentication is required for this platform).
    `password` - An optional password (may be `null if no authentication is required for this platform).`
  Returns:
    A ready DeploymentManager instance.
  Throws:
    `DeploymentManagerCreationException` - occurs when a DeploymentManager could not be returned (server down, unable to authenticate, etc).

### getDisconnectedDeploymentManager

    public DeploymentManager getDisconnectedDeploymentManager(java.lang.String uri)
                                                       throws DeploymentManagerCreationException

  Return a `disconnected` DeploymentManager instance.

  Parameters:
    `uri` - the uri of the DeploymentManager to return.
  Returns:
    A DeploymentManager `disconnected` instance.
  Throws:
    `DeploymentManagerCreationException` - occurs if the DeploymentManager could not be created.

### getDisplayName

    public java.lang.String getDisplayName()

  Provide a string with the name of this vendor's DeploymentManager.

  Returns:
    the name of the vendor's DeploymentManager.

### getProductVersion

    public java.lang.String getProductVersion()

  Provide a string identifying version of this vendor's DeploymentManager.

  Returns:
    the name of the vendor's DeploymentManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.